﻿@import url('https://fonts.cdnfonts.com/css/omnes-2?styles=149325');

* {
  box-sizing: border-box;
}

body {
  margin: 50px;
  position: relative;
  background-image: url("../abstract-bg.png");
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: 100% 100%;
}

div {
  font-family: 'Omnes', sans-serif;
}

ul {
	line-height: 1.6;
}

a:link {
  text-decoration: none;
  color: #0085FF;
}

a:hover {
  text-decoration: underline;
}

a:visited {
  text-decoration: none;
}

.normal-text1 {
	font-size: 20px;
}

.normal-text2 {
	font-size: 16px;
}

.header-text1 {
	font-weight: bold;
	font-size: 36px;
	margin-bottom: 0px;
}

.header-text2 {
	font-size: 24px;
	font-weight: bold;
}

.header-text3 {
	font-size: 24px;
	font-weight: bold;
	text-align: center;
	padding: 10px 0px 0px 0px;
}

#official-art {
	text-align: center; 

	font-size: 24px;
}

#gallery {
  display: grid;
  grid-template: repeat(4, 1fr)/repeat(4, 1fr);
  grid-gap: 0.5em;
  max-width: 1000px;
  max-height: 1000px;
  margin-left: auto;
  margin-right: auto;
}
@media (max-width: 800px) {
  #gallery {
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
    justify-content: center;
  }
  #gallery > div {
    width: 45%;
    margin: 1%;
  }
}
@media (max-width: 800px) and (max-width: 350px) {
  #gallery > div {
    width: 98%;
  }
}

#gallery > div:nth-child(1) {
  grid-column: span 2;
  grid-row: span 1;
}
#gallery > div:nth-child(2) {
  grid-column: span 2;
  grid-row: span 1;
}
#gallery > div:nth-child(3) {
  grid-column: span 1;
  grid-row: span 2;
}

#gallery > div:nth-child(6) {
  grid-column: span 1;
  grid-row: span 2;
}
#gallery > div:nth-child(15) {
  grid-column: span 2;
  grid-row: span 1;
}

#gallery > div > a {
  opacity: 0;
  position: absolute;
  color: #FFF;
  font-size: 42px;
  padding: 2rem;
  transition: all ease 1s;
  text-shadow: 2px 2px 5px black;
  width: 100%;
  height: 100%;
}
#gallery > div > img {

  min-height: 100%;
  transition: all ease 1s;
}
#gallery > div:hover img {
  filter: blur(4px);
}
#gallery > div:hover a {
  opacity: 1;
}
#gallery > div {
  overflow: hidden;
  position: relative;
  box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.2), 0 3px 20px 0 rgba(0, 0, 0, 0.19);
}
#gallery div,
#gallery a {
  display: flex;
  justify-content: center;
  align-items: center;
  text-decoration: none;
}

[id^=lightbox-] {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  opacity: 0;
  transition: opacity 450ms ease-in-out;
  align-items: center;
  justify-content: center;
  pointer-events: none;
}
[id^=lightbox-]:target {
  opacity: 1;
  pointer-events: inherit;

}
[id^=lightbox-]:target img {
  filter: blur(0);
}
[id^=lightbox-] .content {
  max-width: 90%;
  position: relative;
  color: #fff;
}	
[id^=lightbox-] .content:hover > a.close {
  opacity: 1;
  transform: scale(1, 1);
}
[id^=lightbox-] .content:hover > .title {
  opacity: 1;
  transform: translateY(-3px);
}
[id^=lightbox-] .content:hover > .title::after {
  opacity: 1;
}
[id^=lightbox-] .content > * {
  transition: all 450ms ease-in-out;
}
[id^=lightbox-] .title {
  display: block;
  margin: 0;
  padding: 1em;
  position: absolute;
  bottom: 0;
  width: 100%;
  transform: translateY(50%);
  font-size: 1.5em;
  opacity: 0;
}
[id^=lightbox-] .title::after {
  content: " ";
  background-color: rgba(0, 0, 0, 0.4);
  bottom: 0;
  left: 0;
  height: 100%;
  width: 100%;
  position: absolute;
  transition: all 350ms ease-in-out 250ms;
  opacity: 0;
  transform-origin: bottom;
  mix-blend-mode: soft-light;
}
[id^=lightbox-] img {
  max-height: 90vh;
  max-width: 100%;
  margin: 0;
  padding: 0;
  filter: blur(50px);
}
[id^=lightbox-] a.close {
  width: 8em;
  height: 3em;
  position: absolute;
  right: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  transform: scale(0, 0);
  opacity: 0;
  transform-origin: right top;
  text-decoration: none;
  color: #fff;
}
[id^=lightbox-] a.close::after {
  content: "Artist Link";
  text-decoration: underline;
  text-shadow: 0 0 5px blue;
  font-size: 20px;
}

#official-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}



#official-grid2 {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

#official-grid2 img {
	-webkit-mask-image: linear-gradient(to bottom, black 50%, transparent 100%);
	mask-image: linear-gradient(to bottom, black 50%, transparent 100%);
}

.official-grid-text {
  display: flex;
  justify-content: center;
  column-gap: 470px;
  text-align: center;
  opacity: 1;
  font-size: 24px;
}

.official-grid-line {
  display: flex;
  justify-content: center;
  gap: 15px;
  flex-wrap: wrap;
  width: 100%;
}

.official-grid-line img {
	box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.2), 0 3px 20px 0 rgba(0, 0, 0, 0.19);
}

.fa-hover-mouse {
	transition: 2s;
}
.fa-hover-mouse:hover {
    animation: mirrorflip 2s 0s linear infinite;
}

@keyframes mirrorflip {
	0% {
		transform: scale(1, 1);
		-webkit-transform: scale(1, 1);
		-moz-transform: scale(1, 1);
		-o-transform: scale(1, 1);
		-ms-transform: scale(1, 1);
		
	}
	50% {
		transform: scale(-1, 1);
		-webkit-transform: scale(-1, 1);
		-moz-transform: scale(-1, 1);
		-o-transform: scale(-1, 1);
		-ms-transform: scale(-1, 1);
	}
	100% {
		transform: scale(1, 1);
		-webkit-transform: scale(1, 1);
		-moz-transform: scale(1, 1);
		-o-transform: scale(1, 1);
		-ms-transform: scale(1, 1);
	}
}

.bio-table {
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	margin: 50px;
	width: 100%;
	max-width: fit-content;
	margin-left: auto;
	margin-right: auto;
}

.bio-row {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	width: 100%;
	border-bottom: solid thin #2EB889;
	font-size: 16px;
	max-width: 1024px;
}

.bio-column1 {
  display: flex;
  flex-direction: column;
  flex: 1;
  font-size: 16px;
  font-weight: bold;
  padding: 5px 0px 5px 5px;

}

.bio-column2 {
  display: flex;
  flex-direction: column;
  flex: 1;
  font-size: 16px;
  padding: 5px 0px 5px 5px;
}

.bio-column3 {
  display: flex;
  flex-direction: column;
  flex: 1;
  font-size: 16px;

}

.bio-column-double {
  display: flex;
  flex-direction: column;
  flex-basis: 100%;
  flex: 2;
  text-align: left;
  padding: 5px 0 15px 5px;
  border-bottom: solid #2EB889;
}

.tab {
	display: inline-block;
    margin-left: 1em;
}

.fadelang {
	position: absolute;
}

.bio-jp {
	opacity: 0;
}

.bio-en, .bio-jp {
	transition: opacity 0.5s linear;
}

.wrap:hover .bio-en {
	opacity: 0;
}

.wrap:hover .bio-jp {
    opacity: 1;
}

.shrink-art {
    height: auto;
    width: 100%;
    max-width: 1024px;
	box-shadow: 0 2px 8px 0 rgba(0, 0, 0, 0.2), 0 3px 20px 0 rgba(0, 0, 0, 0.19);
}

.break {
  flex-basis: 100%;
  height: 0;
}

.bio-small-list {
	margin-left: 20px;
	list-style-type: circle;
}

@media (max-width: 800px) {
.shrink-fix{
height: auto;
width: 100%;
}
}

@media (max-width: 800px) {
.shrink-fix2{
height: auto;
max-width: 100px;
}
}

.button-01 {
  background: linear-gradient(to bottom right, #8DCC8F, #8BD4DE);
  border: 0;
  border-radius: 12px;
  color: #FFFFFF;
  cursor: pointer;
  display: inline-block;
  font-family: 'Omnes', sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 2.5;
  outline: transparent;
  padding: 0 1rem;
  text-align: center;
  text-decoration: none;
  transition: box-shadow .3s ease-in-out;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  white-space: nowrap;
  width: 120px;
  margin: 5px;
}

.button-01:not([disabled]):focus {
  box-shadow: 0 0 .25rem rgba(0, 0, 0, 0.5), -.125rem -.125rem 1rem rgba(248, 223, 109, 0.8), .125rem .125rem 1rem rgba(248, 223, 109, 0.5);
}

.button-01:not([disabled]):hover {
  box-shadow: 0 0 .25rem rgba(0, 0, 0, 0.5), -.125rem -.125rem 1rem rgba(248, 223, 109, 0.8), .125rem .125rem 1rem rgba(248, 223, 109, 0.5);
}

.button-02 {
  background: transparent;
  border: 0;
  border-radius: 12px;
  color: #FFFFFF;
  cursor: pointer;
  display: inline-block;
  font-family: 'Omnes', sans-serif;
  font-size: 16px;
  font-weight: 500;
  line-height: 2.5;
  outline: transparent;
  text-align: center;
  text-decoration: none;
  transition: box-shadow .3s ease-in-out;
  user-select: none;
  -webkit-user-select: none;
  touch-action: manipulation;
  white-space: nowrap;
  width: 120px;
  margin: 5px;
}

.nav-group
{
  max-width: 540px;
  margin-right: auto;
  margin-left: auto;
}